QQ登录

只需一步,快速开始

 找回密码
 注册

QQ登录

只需一步,快速开始

楼主: lovewilliam

心情及差~

[复制链接]
发表于 2004-6-20 06:16:10 | 显示全部楼层
我的cxstart.sh
          #!/bin/bash

TEXTDOMAIN=`basename $0`
#if [ -d "./locale" ]; then
#  TEXTDOMAINDIR="./locale"
#fi

. /etc/cxacru

cxload.sh || exit 1

if [ "$1" = "service" ]; then
  if [ -d /var/lock/subsys ]; then
    touch /var/lock/subsys/cxacru
  fi
fi

if [ "$PROTOCOL_MODE" = "" ]; then
  echo $"Error: PROTOCOL_MODE not defined" 1>&2
  exit 1
else
  if [ "$PROTOCOL_MODE" -eq 1 ]; then
    echo $"Setting RFC1483/2684 routed..."
    cxnetup.sh || exit 1
  else
    if [ "$PROTOCOL_MODE" -eq 2 ]; then
      echo $"Setting PPP over ATM..."
      cxnet2up.sh || exit 1
    else
      if [ "$PROTOCOL_MODE" -eq 3 ]; then
        echo $"Setting RFC1483/2684 bridged..."
        cxnet3up.sh || exit 1
      else
        if [ "$PROTOCOL_MODE" -eq 4 ]; then
          echo $"Setting PPP over Ethernet..."
          cxnet4up.sh || exit 1
        else
          echo $"Error: unknow protocol mode" 1>&2
          exit 1
        fi
      fi
    fi
  fi
fi

没有啊!
回复

使用道具 举报

 楼主| 发表于 2004-6-20 11:32:05 | 显示全部楼层
ho ~

Sorry~

一时心急手软写错了

是cxload.sh中的

如下

[code:1]
if [ "$KERNEL_VERSION" != "2.4" ]; then
  crc32=`lsmod | cut -d ' ' -f1 | grep -E "^crc32$"`
  if [ "$crc32" = "" ]; then
    modprobe crc32
  fi
fi

[/code:1]
回复

使用道具 举报

发表于 2004-6-20 16:20:30 | 显示全部楼层
问题是我lsmod 并没有crc32模块
说说你是如何安装的
详细一点
下面包中有cxload.sh cxunload.sh

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

×
回复

使用道具 举报

 楼主| 发表于 2004-6-20 17:14:01 | 显示全部楼层
好的好的

我第一步先编译Kernel

然后编译ADSL驱动

安装rp-pppoe

vi /etc/cxacru 更改设置

adsl-setup

cxstart.sh
回复

使用道具 举报

发表于 2004-6-21 12:48:08 | 显示全部楼层
还是不详细,是按照这里的步骤吗? http://www.zullinux.it/linux/accessrunner.html
如不是,很抱歉,目前还没听说成功的
回复

使用道具 举报

 楼主| 发表于 2004-6-21 21:28:16 | 显示全部楼层
patch the source "gunzip -c patch-2.6.x_YYYYMMDD_accessrunner.gz | patch -p1"


要给内核打补丁?

untar cxacru package and issue a "make new"


我在执行make new时出错

只能make,不能make new

[code:1]没有规则创建new 停止[/code:1]

其它步骤都一样

我用的是这个版本的驱动,应该是最新的吧

http://prdownloads.sourceforge.net/accessrunner/cxacru.tar.bz2?use_mirror=easynews
回复

使用道具 举报

 楼主| 发表于 2004-6-21 21:32:08 | 显示全部楼层
我没有打内核补丁

马上就去打~
回复

使用道具 举报

发表于 2004-6-21 22:36:33 | 显示全部楼层
crc32可能被编译进内核了,lsmod不一定可以看到,最好自己make menuconfig,然后检查一下。
回复

使用道具 举报

发表于 2004-6-22 12:36:05 | 显示全部楼层
注意内核的配置
回复

使用道具 举报

 楼主| 发表于 2004-6-22 19:08:06 | 显示全部楼层
嗯 ,我去检查一下
回复

使用道具 举报

 楼主| 发表于 2004-6-23 19:05:38 | 显示全部楼层
crc32已经载入成功了

怎么还是不行?

[code:1]

[root@Love cxacru]# cxstart.sh
>>> Inits Conexant AccessRunner <<<

>>> Loading firmware...
Conexant AccessRunner microcode upload program. 6/9/2003
Josep Comas <[email protected]>
See credits in documentation

I found ADSL modem with VendorID = 0572 & ProductID = cb00
Loading and sending /usr/sbin/cxfirm4.bin...
Firmware is sent!
Setting configuration...
Waiting ADSL line is up (until 90 seconds)...
...............
ADSL line is up (Downstream 1024 Kbits/s, Upstream 256 Kbits/s)
>>> Loading driver...
Launching driver in normal + max speed mode...

/usr/sbin/cxload.sh successful
Setting PPP over Ethernet...
>>> Setting PPPoE <<<

>>> Loading br2684 kernel module...

>>> Loading ppp_generic...

>>> Loading br2684ctl...
Conexant AccessRunner ioctl call. 6/9/2003
Josep Comas <[email protected]>
See credits in documentation

I found ADSL modem with VendorID = 0572 & ProductID = cb00
RFC1483/2684 bridge: Interface "nas0" created sucessfully
RFC1483/2684 bridge: Communicating over ATM 0.0.33, encapsulation: LLC
RFC1483/2684 bridge: Interface configured

>>> Activating interface...
>>> Activating send/receive data...

>>> Loading pppd daemon...
/sbin/adsl-start: line 217:  5979 已终止                  $CONNECT "$@" >/dev/null 2>&1
[root@Love cxacru]# lsmod
Module                  Size  Used by
cxacru                 16720  1
pppoe                  14016  0
pppox                   3976  1 pppoe
n_hdlc                  9604  0
crc32c                  2176  0
libcrc32c               2944  1 crc32c
i830                   68656  2
ipv6                  236256  8
ppp_synctty             9344  0
ppp_async              12288  0
ppp_generic            28308  4 pppoe,pppox,ppp_synctty,ppp_async
slhc                    7552  1 ppp_generic
br2684                  9348  1
atm                    40408  4 cxacru,br2684
snd_intel8x0           33576  1
snd_ac97_codec         62212  1 snd_intel8x0
snd_pcm                92936  2 snd_intel8x0
snd_timer              24324  1 snd_pcm
snd_page_alloc         11524  2 snd_intel8x0,snd_pcm
gameport                4736  1 snd_intel8x0
snd_mpu401_uart         7552  1 snd_intel8x0
snd_rawmidi            24096  1 snd_mpu401_uart
snd_seq_device          8584  1 snd_rawmidi
snd                    52196  8 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               9440  1 snd
8139too                23808  0
mii                     5248  1 8139too
sd_mod                 21248  0
scsi_mod              113740  1 sd_mod
ntfs                  108396  2
nls_cp936             126720  7
nls_cp437               6016  5
vfat                   13952  5
fat                    44608  1 vfat
uhci_hcd               29584  0
usbcore               102364  4 cxacru,uhci_hcd
ext3                  117992  2
jbd                    53784  1 ext3
[root@Love cxacru]#

[/code:1]
回复

使用道具 举报

发表于 2004-6-23 20:57:26 | 显示全部楼层
内核打补丁了吗,内核配置中有没有
Device Driver -> USB Support ->
<M> Support for USB
.... (go near the end of the page)
<M> Alcatel Speedtouch USB support (NEW)
注意speedtch
是否用下载的cxload.sh,cxunload.sh替换编译安装的
是否修改cx4ne'tup.sh
正常状态下lsmod没有cxacru模块,取而代之是speedtch模块

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

×
回复

使用道具 举报

 楼主| 发表于 2004-6-23 21:15:50 | 显示全部楼层
补丁已经打了

其它的我再看看
回复

使用道具 举报

发表于 2004-6-24 09:22:53 | 显示全部楼层
我看着都受不了了…………

你换个以太网的 Modem 吧………………
回复

使用道具 举报

发表于 2004-6-24 12:25:39 | 显示全部楼层
确实难弄,我都不敢编译内核啦,一编译又得忙呼半天,还不知道能不能弄好
linux下不能上网那是万万不行的!
其实换个以太网modem,在加个路由器,楼上楼下都可上网
不像我现在两家互连,楼下要上网我还得老开着机,实在不方便,好在楼下不是网虫。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

GMT+8, 2024-11-26 04:20 , Processed in 0.061432 second(s), 13 queries .

© 2021 Powered by Discuz! X3.5.

快速回复 返回顶部 返回列表